
(* ---------------------------------------------------------------------------*)
(* REM   Flag 1 -- Status of gate -- ON = Open, OFF = Closed                  *)
(* REM   Flag 2 -- Status of coin -- ON = Wrapped, OFF = Not Wrapped          *)
(* REM   Flag 3 -- Status of carpet -- ON = Rolled, OFF = Not Rolled          *)
(* REM   Flag 4 -- Status of block -- ON = In Pail, OFF = Not In Pail         *)
(* REM   Flag 5 -- Status of key -- ON = Player found it, OFF = under doormat *)
(* REM   Flag 6 -- Status of ORC  -- ON = Following Player                    *)
(* REM   Flag 7 -- Status of PIPE -- ON = Lit, OFF = NOT Lit                  *)
(* REM   Flag 8 -- Status of PAIL -- ON = Pail is full of water               *)
(* REM   Flag 9 -- Status of carpet -- ON = put under boulder                 *)
(* REM   Flag 10 - Status of door -- ON = Open, OFF = Closed                  *)
(* REM   Flag 11 - Status of staff -- ON = bolts door                         *)
(* REM   Flag 12 - Status of ruby -- ON = Freed from case                     *)
(* REM   Flag 13 - Status of beast -- ON = Freed from cage                    *)
(* REM   Flag 14 - Status of ruby -- ON = Put in crown                        *)
(* ---------------------------------------------------------------------------*)
(* REM   Test 1 -- test for candle having been extinguished                   *)
(* REM   Test 2 -- Status of lunchbox -- open or closed                       *)
(* REM   Test 3 -- Status of trapdoor -- open of closed                       *)
(* REM   Test 4 -- test for first time on scale                               *)
(* REM   Test 5 -- test for first time to "GET BLOCK"                         *)
(* REM   Test 6 -- not used                                                   *)
(* REM   Test 7 -- Status of vial -- open or closed                           *)
(* REM   Test 8 -- Status of clothspin -- on clothline or not                 *)
(* REM   Test 9 -- Status of clothspin -- on nose or not                      *)
(* REM   Test 10 - test if player got gold from gloom                         *)
(* ---------------------------------------------------------------------------*)

(* REM --- ANY Commands *)

COMMAND ANY ANY
NewLife (* Player has just begun game or been resurrected *)
TurnFlagON 3 (* Carpet is rolled at beginning of game *)
END_COMMAND

COMMAND ANY ANY
AtLocation 4 (* Player is in Cave *)
IsLocated 220  3 (* ogres is in Front of cave *)
GoToRoom 3 (* Move Player to Front of cave *)
PrintMessage 94 (* A hairy arm reaches out and grabs you by the scruff of *)
LookAtRoom (* Display room *)
DoneWithTurn
END_COMMAND

COMMAND ANY ANY
AtLocation 20 (* Player is in Moat *)
PrintMessage 128 (* "How can a little bathing hurt?", you think to yourself *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND ANY ANY
AtLocation 27 (* Player is in Royal Laundry Room *)
IsLocated 259  24 (* test eight is in Nothing *)
PrintMessage 240 (* There is a clothpin attached to the clothline.  *)
END_COMMAND

COMMAND ANY ANY
NOT AtLocation 14 (* Player is NOT in Front of Castle *)
FlagON 6 (* Flag # 6 is ON -- Orc Following Player *)
PutInCurrentRoom 225 (* Move orc to current room *)
PrintMessage 144 (* An orc followed you in, carefully scrutinizing your loa *)
END_COMMAND

COMMAND ANY ANY
AtLocation 14 (* Player is in Front of Castle *)
FlagON 6 (* Flag # 6 is ON -- Orc Following Player *)
PutInCurrentRoom 225 (* Move orc to current room *)
END_COMMAND

COMMAND ANY ANY
AtLocation 13 (* Player is in Gloom *)
InRoom 226 (* gold is in current Room *)
PrintMessage 226 (* There is a bar of gold here, embedded in the center of  *)
END_COMMAND

COMMAND ANY ANY
AtLocation 13 (* Player is in Gloom *)
IsLocated 261  24 (* test ten is in Nothing *)
PrintMessage 226 (* There is a bar of gold here, embedded in the center of  *)
END_COMMAND

COMMAND ANY ANY
TurnFlagOFF 100 (* Continuation Flag *)
AtLocation 19 (* Player is in On the scale *)
NOT FlagON 10 (* Flag # 10 is OFF *)
Present 202 (* gnarled staff is present *)
Present 204 (* lunchbox is present *)
Present 206 (* metal pipe is present *)
Present 207 (* wax candle is present *)
Present 208 (* worn doormat is present *)
Present 209 (* gold coin is present *)
Present 210 (* ancient revolver is present *)
TurnFlagON 100
END_COMMAND

COMMAND ANY ANY
FlagON 100 (* Continuation from prior Meta-command *)
Present 210 (* ancient revolver is present *)
Present 218 (* ornate vase is present *)
Present 223 (* dried meat is present *)
Present 231 (* wooden pail is present *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
FlagON 4 (* Flag # 4 is ON *)
Present 233 (* plaque is present *)
PrintMessage 9 (* A shrill mechanical voice exclaims, "OOF!! <gasp> Pleas *)
TurnFlagON 10 (* Turn Flag # 10 ON *)
END_COMMAND

COMMAND ANY ANY
AtLocation 19 (* Player is in On the scale *)
NOT FlagON 10 (* Flag # 10 is OFF *)
IsLocated 241  24 (* test four is in Nothing *)
Destroy 241 (* Move test four to room Zero *)
PrintMessage 87 (* A shrill mechanical voice exclaims," Haven't you read t *)
END_COMMAND

COMMAND ANY ANY
AtLocation 19 (* Player is in On the scale *)
NOT FlagON 10 (* Flag # 10 is OFF *)
IsNoWhere 241 (* test four is in room Zero -- NoWhere *)
PrintMessage 88 (* A shrill mechanical voice shouts, " H.....E.....A....V.  *)
END_COMMAND

(* REM -- EXTINGUISH *)

COMMAND EXTINGUISH CANDLE
NOUNPresent (* NOUN is present *)
IsLocated 237  24 (* test one is in Nothing *)
Destroy 237 (* Move test one to room Zero *)
PrintMessage 35 (* Extinguished.  *)
DoneWithTurn
END_COMMAND

COMMAND EXTINGUISH CANDLE
NOUNPresent (* NOUN is present *)
NOT IsLocated 237  24 (* test one is NOT in Nothing *)
PrintMessage 36 (* It already IS extinguished! *)
DoneWithTurn
END_COMMAND

COMMAND EXTINGUISH PIPE
NOUNPresent (* NOUN is present *)
NOT FlagON 7 (* Flag # 7 is OFF -- Pipe is NOT Lit *)
PrintMessage 42 (* It was never lit.  *)
DoneWithTurn
END_COMMAND

COMMAND EXTINGUISH PIPE
FlagON 7 (* Flag # 7 is ON -- Pipe is Lit *)
PrintMessage 35 (* Extinguished.  *)
TurnFlagOFF 7 (* Turn Flag # 7 OFF -- Pipe is NOT Lit *)
DoneWithTurn
END_COMMAND

(* REM -- SMOKE *)

COMMAND SMOKE PIPE
NOUNPresent (* NOUN is present *)
FlagON 7 (* Flag # 7 is ON -- Pipe is Lit *)
PrintMessage 43 (* You inhale deeply from the metal pipe, and appreciative *)
DoneWithTurn
END_COMMAND

COMMAND SMOKE PIPE
NOT FlagON 7 (* Flag # 7 is OFF -- Pipe is NOT Lit *)
PrintMessage 42 (* It was never lit.  *)
DoneWithTurn
END_COMMAND

COMMAND SMOKE ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- PULL *)

COMMAND PULL BLOCK
NOUNPresent (* NOUN is present *)
AtLocation 9 (* Player is in Well *)
PutInCurrentRoom 229 (* Move yellowed note to current room *)
PrintMessage 44 (* As you pull out the block, an aged, and yellowed note f *)
GetNOUN (* Get it *)
DoneWithTurn
END_COMMAND

COMMAND PULL BLOCK
NOUNPresent (* NOUN is present *)
NOT AtLocation 9 (* Player is NOT in Well *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND PULL BOULDER
InRoom 219 (* boulder is in current Room *)
PrintMessage 178 (* Sure! No sweat! Why didn't I think of that one? *)
DoneWithTurn
END_COMMAND

(* REM -- LIGHT -- HEAT -- MELT -- BURN *)

COMMAND LIGHT CANDLE
NOUNPresent (* NOUN is present *)
IsLocated 237  24 (* test one is in Nothing *)
PrintMessage 40 (* It already IS lit.  *)
DoneWithTurn
END_COMMAND

COMMAND LIGHT CANDLE
NOUNPresent (* NOUN is present *)
NOT IsLocated 237  24 (* test one is NOT in Nothing *)
PrintMessage 41 (* You cannot relight the candle.  *)
DoneWithTurn
END_COMMAND

COMMAND LIGHT PIPE
NOUNPresent (* NOUN is present *)
IsCarrying 207 (* Player is carrying wax candle *)
IsLocated 237  24 (* test one is in Nothing *)
FlagON 7 (* Flag # 7 is ON -- Pipe is Lit *)
PrintMessage 40 (* It already IS lit.  *)
DoneWithTurn
END_COMMAND

COMMAND LIGHT PIPE
NOUNPresent (* NOUN is present *)
IsCarrying 207 (* Player is carrying wax candle *)
NOT FlagON 7 (* Flag # 7 is OFF -- Pipe is NOT Lit *)
IsLocated 237  24 (* test one is in Nothing *)
PrintMessage 210 (* The pipe is now lit and it warms up a bit.  *)
TurnFlagON 7 (* Turn Flag # 7 ON -- Pipe is Lit *)
PlusScore 25 (* Add 25 to score *)
DoneWithTurn
END_COMMAND

COMMAND LIGHT PIPE
NOUNPresent (* NOUN is present *)
IsCarrying 207 (* Player is carrying wax candle *)
NOT IsLocated 237  24 (* test one is NOT in Nothing *)
PrintMessage 41 (* You cannot relight the candle.  *)
DoneWithTurn
END_COMMAND

COMMAND LIGHT PIPE
NOUNPresent (* NOUN is present *)
NOT IsCarrying 207 (* Player is NOT carrying wax candle *)
PrintMessage 39 (* You don't have anything to light it with.  *)
DoneWithTurn
END_COMMAND

COMMAND MELT ICE
NOUNPresent (* NOUN is present *)
PrintMessage 47 (* How do you propose to do that? *)
DoneWithTurn
END_COMMAND

(* REM -- DROP *)

COMMAND DROP PIPE
RedirectTo PUT PIPE
END_COMMAND

COMMAND DROP GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
FlagON 6 (* Flag # 6 is ON -- Orc Following Player *)
InRoom 225 (* orc is in current Room *)
PrintMessage 225 (* The orc, with frightening force, missiles in at your ha *)
DestroyNOUN (* Move NOUN to Room Zero*)
SendToRoom 225  14 (* Move orc to Front of Castle *)
TurnFlagOFF 6 (* Turn Flag # 6 OFF -- Orc NOT Following Player *)
DoneWithTurn
END_COMMAND

COMMAND DROP GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT FlagON 6 (* Flag # 6 is OFF -- Orc NOT Following Player *)
PutNOUNInCurrentRoom (* Move NOUN to Current Room *)
PrintMessage 140 (* Dropped.  *)
DoneWithTurn
END_COMMAND

(* REM -- BREAK -- SMASH *)

COMMAND BREAK ICE
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
PrintMessage 52 (* The ice doesn't even crack.  *)
DoneWithTurn
END_COMMAND

COMMAND BREAK GLASS
Present 213 (* glass is present *)
PrintMessage 13 (* Stuff's made out of tough stuff.  After banging, beating *)
DoneWithTurn
END_COMMAND

COMMAND BREAK VASE
NOUNPresent (* NOUN is present *)
DestroyNOUN (* Move NOUN to Room Zero*)
PutInCurrentRoom 244 (* Move sales tag to current room *)
PrintMessage 179 (* The vase smashes into smithereens, revealing a sales ta *)
DoneWithTurn
END_COMMAND

COMMAND BREAK BOULDER
PrintMessage 86 (* How absolutely amusing....  *)
DoneWithTurn
END_COMMAND

COMMAND BREAK ANY
NOT NOUNPresent (* It isn't here *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- SHOW *)

COMMAND SHOW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
InRoom 225 (* orc is in current Room *)
NOT FlagON 6 (* Flag # 6 is OFF -- Orc NOT Following Player *)
PrintMessage 55 (* The orc's eyeballs widen, and his mouth hangs agape, as *)
TurnFlagON 6 (* Turn Flag # 6 ON -- Orc Following Player *)
DoneWithTurn
END_COMMAND

COMMAND SHOW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
InRoom 225 (* orc is in current Room *)
FlagON 6 (* Flag # 6 is ON -- Orc Following Player *)
PrintMessage 56 (* The orc crouches low and pounces on you, grabbing away  *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND SHOW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT InRoom 225 (* orc is NOT in current Room *)
InRoom 220 (* ogres is in current Room *)
PrintMessage 57 (* The ogres pause, just long enough to eye your gold disi *)
DoneWithTurn
END_COMMAND

COMMAND SHOW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT InRoom 220 (* ogres is NOT in current Room *)
NOT InRoom 225 (* orc is NOT in current Room *)
PrintMessage 58 (* To WHO?!!? *)
DoneWithTurn
END_COMMAND

COMMAND SHOW ORC
NOUNPresent (* NOUN is present *)
PrintMessage 208 (* Such illiteracy may be harmful.The orc lifts you by you *)
DoneWithTurn
END_COMMAND

COMMAND SHOW ANY
NOT NOUNPresent (* NOUN isn't here *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- THROW *)

COMMAND THROW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
FlagON 6 (* Flag # 6 is ON -- Orc Following Player *)
AtLocation 22 (* Player is in Front of Moat *)
DestroyNOUN (* Move NOUN to Room Zero*)
Destroy 225 (* Move orc to room Zero *)
PrintMessage 59 (* With wild, and frenzied yowls of greed, the orc charges *)
PlusScore 30 (* Add 30 to score *)
TurnFlagOFF 6 (* Turn Flag # 6 OFF -- Orc NOT Following Player *)
DoneWithTurn
END_COMMAND

COMMAND THROW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT FlagON 6 (* Flag # 6 is OFF -- Orc NOT Following Player *)
AtLocation 22 (* Player is in Front of Moat *)
DestroyNOUN (* Move NOUN to Room Zero*)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND THROW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 22 (* Player is NOT in Front of Moat *)
AtLocation 14 (* Player is in Front of Castle *)
PrintMessage 61 (* The orc's hand suddenly shoots up into the air, catchin *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND THROW GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 22 (* Player is NOT in Front of Moat *)
NOT AtLocation 14 (* Player is NOT in Front of Castle *)
PrintMessage 96 (* Whew! What a terrible arm! You throw it a few meager pa *)
DropNOUN (* Move NOUN to current room *)
DoneWithTurn
END_COMMAND

COMMAND THROW ANY
PrintMessage 96 (* Whew! What a terrible arm! You throw it a few meager pa *)
DropNOUN (* Move NOUN to current room *)
DoneWithTurn
END_COMMAND

(* REM -- GIVE *)

COMMAND GIVE GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
InRoom 225 (* orc is in current Room *)
DestroyNOUN (* Move NOUN to Room Zero*)
PrintMessage 62 (* "Wow!", exclaims the orc incredously."What's a little s *)
DoneWithTurn
END_COMMAND

COMMAND GIVE GOLD
NOUNIsCarrying (* Player is carrying NOUN *)
InRoom 220 (* ogres is in current Room *)
PrintMessage 63 (* With yelps of childishly glee, B'gig and B'gog, swipe o *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND GIVE GOLD
NOT InRoom 220 (* ogres is NOT in current Room *)
NOT InRoom 225 (* orc is NOT in current Room *)
PrintMessage 58 (* To WHO?!!? *)
DoneWithTurn
END_COMMAND

COMMAND GIVE COIN
NOUNPresent (* NOUN is present *)
InRoom 220 (* ogres is in current Room *)
DestroyNOUN (* Move NOUN to Room Zero*)
Destroy 203 (* Move crumpled wrapper to room Zero *)
SwapLocations 220  235 (* Swap locations of ogres and paralized ogres *)
PrintMessage 19 (* Greedily, and with yelps of delight and glee, B'gig and *)
DoneWithTurn
END_COMMAND

COMMAND GIVE COIN
NOT InRoom 220 (* ogres is NOT in current Room *)
InRoom 225 (* orc is in current Room *)
PrintMessage 22 (* The orcs eyeballs bulge out revoltingly, as he swipes i *)
DestroyNOUN (* Move NOUN to Room Zero*)
Destroy 203 (* Move crumpled wrapper to room Zero *)
DoneWithTurn
END_COMMAND

COMMAND GIVE COIN
NOT InRoom 220 (* ogres is NOT in current Room *)
NOT InRoom 225 (* orc is NOT in current Room *)
PrintMessage 58 (* To WHO?!!? *)
DoneWithTurn
END_COMMAND

COMMAND GIVE MEAT TO BEAST
ReDirectTo FEED BEAST
END_COMMAND

COMMAND GIVE ANY
NOUNPresent (* NOUN is present *)
InRoom 225 (* orc is in current Room *)
DestroyNOUN (* Move NOUN to Room Zero*)
PrintMessage 22 (* The orcs eyeballs bulge out revoltingly, as he swipes i *)
DoneWithTurn
END_COMMAND

COMMAND GIVE ANY
NOUNPresent (* NOUN is present *)
NOT InRoom 225 (* orc is NOT in current Room *)
InRoom 220 (* ogres is in current Room *)
PrintMessage 23 (* The ogres cease quarreling,just long enough to eye your *)
DoneWithTurn
END_COMMAND

COMMAND GIVE ANY
NOUNPresent (* NOUN is present *)
NOT InRoom 225 (* orc is NOT in current Room *)
NOT InRoom 220 (* ogres is NOT in current Room *)
PrintMessage 58 (* To WHO?!!? *)
DoneWithTurn
END_COMMAND

COMMAND GIVE ORC
NOUNPresent (* NOUN is present *)
PrintMessage 137 (* Such illiteracy can be harmful.The orc lifts you by you *)
DoneWithTurn
END_COMMAND

COMMAND GIVE ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- CROSS *)

COMMAND CROSS BRIDGE
ReDirectTo GO BRIDGE
END_COMMAND

(* REM -- FILL *)

COMMAND FILL PAIL
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 18 (* Player is in Drawbridge *)
FlagON 4 (* Flag # 4 is ON *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
PrintMessage 60 (* Done.  *)
TurnFlagON 8 (* Turn Flag # 8 ON -- Pail is full of water *)
DoneWithTurn
END_COMMAND

COMMAND FILL PAIL
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 18 (* Player is in Drawbridge *)
FlagON 4 (* Flag # 4 is ON *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
PrintMessage 65 (* It IS filled.  *)
DoneWithTurn
END_COMMAND

COMMAND FILL PAIL
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 18 (* Player is in Drawbridge *)
NOT FlagON 4 (* Flag # 4 is OFF *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
PrintMessage 66 (* You try filling it but it just bobs along the surface a *)
DoneWithTurn
END_COMMAND

COMMAND FILL PAIL
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 18 (* Player is NOT in Drawbridge *)
AtLocation 22 (* Player is in Front of Moat *)
PrintMessage 68 (* You're going to have to go deeper in, for that.  *)
DoneWithTurn
END_COMMAND

COMMAND FILL PAIL
NOUNPresent (* Pail is here *)
NOT AtLocation 18 (* Player is NOT in Drawbridge *)
NOT AtLocation 22 (* Player is NOT in Front of Moat *)
PrintMessage 67 (* Fill it with WHAT?!!? *)
DoneWithTurn
END_COMMAND

COMMAND FILL VASE
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 22 (* Player is in Front of Moat *)
PrintMessage 68 (* You're going to have to go deeper in, for that.  *)
DoneWithTurn
END_COMMAND

COMMAND FILL VASE
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 22 (* Player is NOT in Front of Moat *)
AtLocation 18 (* Player is in Drawbridge *)
PrintMessage 66 (* You try filling it but it just bobs along the surface a *)
DoneWithTurn
END_COMMAND

COMMAND FILL VASE
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 22 (* Player is NOT in Front of Moat *)
NOT AtLocation 18 (* Player is NOT in Drawbridge *)
PrintMessage 67 (* Fill it with WHAT?!!? *)
DoneWithTurn
END_COMMAND

COMMAND FILL ANY
NOT NOUNPresent (* NOUN is NOT here *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- LOWER *)

COMMAND LOWER PAIL
ReDirectTo FILL PAIL
END_COMMAND

(* REM -- STEP *)

COMMAND STEP ON SCALE
AtLocation 16 (* Player is in Front of Crownroom *)
GoToRoom 19 (* Move Player to On the scale *)
DoneWithTurn
END_COMMAND

COMMAND STEP OFF SCALE
AtLocation 19 (* Player is On the Scale *)
GoToRoom 16 (* Move Player to Front of Crownroom *)
DoneWithTurn
END_COMMAND

COMMAND STEP ON SCALE
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
NOT AtLocation 19 (* Player is NOT On the Scale *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- STAND *)

COMMAND STAND ON SCALE
AtLocation 16 (* Player is in Front of Crownroom *)
GoToRoom 19 (* Move Player to On the scale *)
DoneWithTurn
END_COMMAND

COMMAND STAND ANY
PrintMessage 72 (* You can't.  *)
DoneWithTurn
END_COMMAND

(* REM -- SIT *)

COMMAND SIT ON CARPET
NOUNPresent (* NOUN is present *)
PrintMessage 139 (* Mercy! Mayhap thinketh thee tis' Arabian Knights thou a *)
DoneWithTurn
END_COMMAND

COMMAND SIT ANY
AtLocation 15 (* Player is in Waiting room *)
PrintMessage 71 (* You are now sitting on an extremely comfortable bench.  *)
DoneWithTurn
END_COMMAND

(* REM -- SLEEP *)

COMMAND SLEEP ANY
AtLocation 7 (* Player is in Bedroom *)
PrintMessage 73 (* You get into the bed but can't sleep.  You have a fine b *)
DoneWithTurn
END_COMMAND

COMMAND SLEEP ANY
PrintMessage 75 (* You just slept, didn't you read the introduction? *)
DoneWithTurn
END_COMMAND

(* REM -- EMPTY *)

COMMAND EMPTY PAIL
NOUNPresent (* NOUN is present *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
PrintMessage 77 (* It all empties out.  *)
TurnFlagOFF 8 (* Turn Flag # 8 OFF -- Pail is NOT full of water *)
DoneWithTurn
END_COMMAND

COMMAND EMPTY PAIL
NOUNPresent (* NOUN is present *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
PrintMessage 78 (* But there's no water in the pail! *)
DoneWithTurn
END_COMMAND

COMMAND EMPTY ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- POUR *)

COMMAND POUR ANY
Present 231 (* wooden pail is present *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
PrintMessage 77 (* It all empties out.  *)
TurnFlagOFF 8 (* Turn Flag # 8 OFF -- Pail is NOT full of water *)
DoneWithTurn
END_COMMAND

COMMAND POUR ANY
Present 231 (* wooden pail is present *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
PrintMessage 78 (* But there's no water in the pail! *)
DoneWithTurn
END_COMMAND

COMMAND POUR ANY
NOT Present 231 (* wooden pail is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- READ *)

COMMAND READ LABEL
Present 211 (* magic carpet is present *)
PrintMessage 79 (* The label reads: "To operate this carpet, just say Rise *)
DoneWithTurn
END_COMMAND

COMMAND READ LABEL
NOT Present 211 (* magic carpet is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND READ COIN
NOT NOUNIsCarrying (* Player is NOT carrying NOUN *)
PrintMessage 142 (* The coin is neatly wrapped in a crumpled candy wrapper.  *)
DoneWithTurn
END_COMMAND

(* REM -- KILL -- ATTACK -- HIT *)

COMMAND KILL ANY
PrintMessage 86 (* How absolutely amusing....  *)
DoneWithTurn
END_COMMAND

COMMAND ATTACK ANY
PrintMessage 86 (* How absolutely amusing....  *)
DoneWithTurn
END_COMMAND

 182 
COMMAND HIT ANY
PrintMessage 86 (* How absolutely amusing....  *)
DoneWithTurn
END_COMMAND

(* REM -- LOOK *)

COMMAND LOOK UNDER BOULDER
AtLocation 11 (* Player is in Boulder room *)
InRoom 219 (* boulder is in current Room *)
PrintMessage 25 (* The bottom of the boulder is slightly off the ground le *)
DoneWithTurn
END_COMMAND

COMMAND LOOK UNDER DOORMAT
NOT AtLocation 11 (* Player is NOT in Boulder room *)
AtLocation 6 (* Player is in Squynchian home *)
Present 208 (* worn doormat is present *)
NOT FlagON 5 (* Flag # 5 is OFF *)
PutInCurrentRoom 205 (* Move rusty key to current room *)
PrintMessage 27 (* Removing the doormat reveals a rusty key engulfed in th *)
TurnFlagON 5 (* Turn Flag # 5 ON *)
DoneWithTurn
END_COMMAND

COMMAND LOOK UNDER DOORMAT
AtLocation 6 (* Player is in Squynchian home *)
Present 208 (* worn doormat is present *)
FlagON 5 (* Flag # 5 is ON *)
PrintMessage 28 (* There is nothing but dust there.  *)
DoneWithTurn
END_COMMAND

COMMAND LOOK CAGE
AtLocation 4 (* Player is in Cave *)
IsLocated 221  5 (* beast is in Cage *)
PrintMessage 146 (* There is a snarling, ferocious looking beast in the cag *)
DoneWithTurn
END_COMMAND

COMMAND LOOK CAGE
AtLocation 4 (* Player is in Cave *)
NOT IsLocated 221  5 (* beast is NOT in Cage *)
PrintMessage 189 (* There isn't anything really in the cage, save for some  *)
DoneWithTurn
END_COMMAND

COMMAND LOOK VASE
NOUNIsCarrying (* Player is carrying NOUN *)
PrintMessage 213 (* There is a small piece of paper laying at the bottom of *)
DoneWithTurn
END_COMMAND

COMMAND LOOK VASE
NOT NOUNIsCarrying (* Player is NOT carrying NOUN *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- SLIDE *)

COMMAND SLIDE CARPET
ReDirectTo PUT CARPET
END_COMMAND

COMMAND SLIDE STAFF
NOUNPresent (* NOUN is present *)
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 11 (* The staff now bolts the door.  *)
TurnFlagON 11 (* Turn Flag # 11 ON *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND SLIDE STAFF
NOUNPresent (* NOUN is present *)
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 105 (* It IS bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND SLIDE STAFF
AtLocation 4 (* Player is in Cave *)
NOUNPresent (* NOUN is present *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 106 (* A task quite impossible if the gates are open! *)
DoneWithTurn
END_COMMAND

COMMAND SLIDE ANY
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- RISE *)

COMMAND RISE
ReDirectTo SAY RISE
END_COMMAND

(* REM -- SAY *)

COMMAND SAY RISE
FlagON 9 (* Flag # 9 is ON *)
NOT FlagON 3 (* Flag # 3 is OFF *)
PrintMessage 29 (* A slow quiet rumble slowly crescendos to an ear-splitti *)
Destroy 219 (* Move boulder to room Zero *)
DoneWithTurn
END_COMMAND

COMMAND SAY RISE
FlagON 9 (* Flag # 9 is ON *)
FlagON 3 (* Flag # 3 is ON *)
PrintMessage 125 (* As you pronounce the command, you detect a slight movem *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND SAY RISE
Present 211 (* magic carpet is present *)
NOT FlagON 9 (* Flag # 9 is OFF *)
Destroy 211 (* Move magic carpet to room Zero *)
PrintMessage 31 (* The carpet, unwieldy at first, rises slowly into the ai *)
DoneWithTurn
END_COMMAND

COMMAND SAY RISE
NOT Present 211 (* magic carpet is NOT present *)
PrintMessage 32 (* Speaking to oneself is a sign of impending mental colla *)
DoneWithTurn
END_COMMAND

COMMAND SAY ANY
PrintMessage 32 (* Speaking to oneself is a sign of impending mental colla *)
DoneWithTurn
END_COMMAND

(* REM -- WRAP *)

COMMAND WRAP COIN
NOUNPresent (* NOUN is present *)
NOT FlagON 2 (* Flag # 2 is OFF *)
Present 203 (* crumpled wrapper is present *)
PrintMessage 159 (* You wrap it neatly with the crumpled candy wrapper.  *)
TurnFlagON 2 (* Turn Flag # 2 ON *)
Destroy 203 (* Move crumpled wrapper to room Zero *)
DoneWithTurn
END_COMMAND

COMMAND WRAP COIN
NOUNPresent (* NOUN is present *)
Present 203 (* crumpled wrapper is present *)
FlagON 2 (* Flag # 2 is ON *)
PrintMessage 15 (* It IS wrapped. *)
DoneWithTurn
END_COMMAND

COMMAND WRAP COIN
NOUNPresent (* NOUN is present *)
NOT FlagON 2 (* Flag # 2 is OFF *)
NOT Present 203 (* crumpled wrapper is NOT present *)
PrintMessage 16 (* Wrap it with WHAT? *)
DoneWithTurn
END_COMMAND

COMMAND WRAP ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND WRAP ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- UNWRAP *)

COMMAND UNWRAP COIN
NOUNPresent (* NOUN is present *)
FlagON 2 (* Flag # 2 is ON *)
TurnFlagOFF 2 (* Turn Flag # 2 OFF *)
PrintMessage 17 (* As your fingers make contact with the coin, your entire *)
PutNOUNInCurrentRoom (* Move NOUN to Current Room *)
PutInCurrentRoom 203 (* Move crumpled wrapper to current room *)
DoneWithTurn
END_COMMAND

COMMAND UNWRAP COIN
NOUNPresent (* NOUN is present *)
NOT FlagON 2 (* Flag # 2 is OFF *)
PrintMessage 18 (* It IS unwrapped already.  *)
DoneWithTurn
END_COMMAND

COMMAND UNWRAP ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND UNWRAP ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- BOLT *)

COMMAND BOLT GATES
AtLocation 4 (* Player is in Cave *)
IsCarrying 202 (* Player is carrying gnarled staff *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
Destroy 202 (* Move gnarled staff to room Zero *)
TurnFlagON 11 (* Turn Flag # 11 ON *)
PrintMessage 104 (* The staff now bolts the door.  *)
DoneWithTurn
END_COMMAND

COMMAND BOLT GATES
AtLocation 4 (* Player is in Cave *)
IsCarrying 202 (* Player is carrying gnarled staff *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 105 (* It IS bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND BOLT GATES
AtLocation 4 (* Player is in Cave *)
IsCarrying 202 (* Player is carrying gnarled staff *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 106 (* A task quite impossible if the gates are open! *)
DoneWithTurn
END_COMMAND

COMMAND BOLT GATES
AtLocation 4 (* Player is in Cave *)
NOT IsCarrying 202 (* Player is NOT carrying gnarled staff *)
PrintMessage 107 (* You have nothing to bolt it with.  *)
DoneWithTurn
END_COMMAND

COMMAND BOLT GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- UNBOLT *)

COMMAND UNBOLT GATES
AtLocation 4 (* Player is in Cave *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 108 (* It is now unbolted.  *)
TurnFlagOFF 11 (* Turn Flag # 11 OFF *)
SendToRoom 202  1 (* Move gnarled staff to player *)
DoneWithTurn
END_COMMAND

COMMAND UNBOLT GATES
AtLocation 4 (* Player is in Cave *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 109 (* It isn't bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND UNBOLT GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- CUT *)

COMMAND CUT GLASS
NOUNPresent (* NOUN is present *)
IsCarrying 201 (* Player is carrying Squeeb's crown *)
FlagON 11 (* Flag # 11 is ON *)
NOT FlagON 12 (* Flag # 12 is OFF *)
PrintMessage 110 (* You cut a square into the glass case.  *)
SendToItem 215 213 (* Move Ruby to glass *)
SwapLocations 213 267 (* Switch to broken case *)
TurnFlagON 12 (* Turn Flag # 12 ON *)
DoneWithTurn
END_COMMAND

COMMAND CUT GLASS
NOUNPresent (* NOUN is present *)
NOT IsCarrying 201 (* Player is NOT carrying Squeeb's crown *)
PrintMessage 111 (* You haven't got the proper utensils.  *)
DoneWithTurn
END_COMMAND

COMMAND CUT ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- FEED *)

COMMAND FEED BEAST
Present 221 (* Beast is present *)
IsCarrying 223 (* Player is carrying dried meat *)
Destroy 223 (* Move dried meat to room Zero *)
Destroy 221 (* Move beast to Room Zero*)
TurnFlagOFF 13 (* Turn Flag # 13 OFF *)
PrintMessage 115 (* Greedily, the beast pounces on it *)
DoneWithTurn
END_COMMAND

COMMAND FEED BEAST
Present 221 (* Beast is present *)
NOT IsCarrying 223 (* Player is NOT carrying dried meat *)
PrintMessage 116 (* Why not? Gratefully, the beast sinks his teeth into you *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND FEED BEAST
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND FEED ANY
PrintMessage 178 (* Sure.  Why didn't I think of that? *)
DoneWithTurn
END_COMMAND

COMMAND FEED MEAT
ReDirectTo FEED BEAST
END_COMMAND

(* REM -- WEAR *)

COMMAND WEAR CROWN
NOUNPresent (* Crown is present *)
FlagON 14 (* Flag # 14 is ON *)
PrintMessage 129 (* The iron gates fling open, as an earth shattering "KABO *)
PlusScore 50 (* Final 50 points *)
WinGame (* End Game as Winner *)
DoneWithTurn
END_COMMAND

COMMAND WEAR CROWN
NOUNPresent (* Crown is present *)
NOT FlagON 14 (* Flag # 14 is OFF *)
PrintMessage 121 (* You are overcome with a certain tingling feeling, which *)
DoneWithTurn
END_COMMAND

COMMAND WEAR ANY
NOT NOUNPresent (* Crown is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND WEAR ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- UNROLL *)

COMMAND UNROLL CARPET
NOUNPresent (* NOUN is present *)
FlagON 3 (* Flag # 3 is ON *)
PrintMessage 60 (* Done.  *)
TurnFlagOFF 3 (* Turn Flag # 3 OFF *)
DoneWithTurn
END_COMMAND

COMMAND UNROLL CARPET
NOUNPresent (* NOUN is present *)
NOT FlagON 3 (* Flag # 3 is OFF *)
PrintMessage 123 (* It IS unrolled.  *)
DoneWithTurn
END_COMMAND

COMMAND UNROLL CARPET
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND UNROLL ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- ROLL *)

COMMAND ROLL CARPET
NOUNPresent (* NOUN is present *)
NOT FlagON 3 (* Flag # 3 is OFF *)
PrintMessage 60 (* Done.  *)
TurnFlagON 3 (* Turn Flag # 3 ON *)
DoneWithTurn
END_COMMAND

COMMAND ROLL CARPET
NOUNPresent (* NOUN is present *)
FlagON 3 (* Flag # 3 is ON *)
PrintMessage 124 (* It IS rolled.  *)
DoneWithTurn
END_COMMAND

COMMAND ROLL CARPET
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND ROLL ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- FIRE *)

COMMAND FIRE GUN AT ANY
ReDirectTo SHOOT $OBJECT$
END_COMMAND

(* REM -- SHOOT *)

COMMAND SHOOT ANY
Present 210 (* ancient revolver is here *)
PrintMessage 148 (* As you pull the trigger, you hear a loud click, and a s *)
DoneWithTurn
END_COMMAND

COMMAND SHOOT ANY
NOT Present 210 (* ancient revolver is not here *)
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- EAT *)

COMMAND EAT MEAT
NOUNPresent (* NOUN is present *)
PrintMessage 174 (* You try to chew it but its leather-like texture makes i *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

(* REM -- PUSH *)

COMMAND PUSH BOULDER
InRoom 219 (* boulder is in current Room *)
PrintMessage 178 (* Sure! No sweat! Why didn't I think of that one? *)
DoneWithTurn
END_COMMAND

COMMAND PUSH BOULDER
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- SCREAM *)

COMMAND SCREAM ANY
PrintMessage 181 (* Yaaaaaaouuuuuwwwwwwrggghhhh!!!!! Now then, how do you f *)
DoneWithTurn
END_COMMAND

(* REM -- SHAKE *)

COMMAND SHAKE VASE
NOUNPresent (* NOUN present *)
PrintMessage 222 (* Yes, there is definitely something inside.  *)
DoneWithTurn
END_COMMAND

COMMAND SHAKE VASE
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND SHAKE ANY
NOUNPresent (* NOUN present *)
PrintMessage 223 (* No doubt you'd be asking for bread crumbs soon, in orde *)
DoneWithTurn
END_COMMAND

COMMAND SHAKE ANY
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- HIT *)

COMMAND HIT BOULDER
NOUNPresent (* NOUN is present *)
PrintMessage 192 (* Hitting a boulder?! How absolutely ridiculous! Ha! *)
DoneWithTurn
END_COMMAND

COMMAND HIT BOULDER
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- SPRAY *)

COMMAND SPRAY SPRAYCAN
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 23 (* Player is in On Top of Cove *)
GoToRoom 22 (* Move Player to Front of Moat *)
PrintMessage 200 (* The spraycan emits a shot of such a repugnant odor, tha *)
DoneWithTurn
END_COMMAND

COMMAND SPRAY SPRAYCAN
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 23 (* Player is NOT in On Top of Cove *)
PrintMessage 201 (* The spraycan emits a shot of such a repulsive odor, tha *)
DoneWithTurn
END_COMMAND

COMMAND SPRAY SPRAYCAN
NOT NOUNpresent (* NOUN is not present *)
PrintMessage 199 (* ? You don't have that.  *)
DoneWithTurn
END_COMMAND

(* REM -- KICK *)

COMMAND KICK ANY
NOUNPresent (* NOUN is present *)
PrintMessage 212 (* Kicking it results in nothing but a sore toe.  *)
DoneWithTurn
END_COMMAND

COMMAND KICK ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- SWIM *)

COMMAND SWIM IN MOAT
AtLocation 22 (* Player is in Front of Moat *)
GoToRoom 20 (* Move Player to Moat *)
DoneWithTurn
END_COMMAND

COMMAND SWIM IN MOAT
AtLocation 18 (* Player is in Drawbridge *)
GoToRoom 20 (* Move Player to Moat *)
DoneWithTurn
END_COMMAND

COMMAND SWIM ANY
PrintMessage 178 (* Sure! Why didn't I think of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- COVER - HOLD *)

COMMAND COVER NOSE
PrintMessage 218 (* You look so absolutely ridiculous, standing there with  *)
DoneWithTurn
END_COMMAND

COMMAND COVER ANY
PrintMessage 145 (* Huh?!!!! *)
DoneWithTurn
END_COMMAND

(* REM -- OOPS *)

COMMAND OOPS ANY
PrintMessage 219 (* Screwed up again, did you? *)
DoneWithTurn
END_COMMAND

(* REM -- STICK -- WEDGE -- MOVE -- PRY *)

COMMAND STICK ANY
PrintMessage 72 (* You can't.  *)
DoneWithTurn
END_COMMAND

(* REM -- PIN *)

COMMAND PIN CLOTHPIN ON CLOTHLINE
Present 247 (* Player is carrying wooden clothpin *)
Present 246 (* clothline is present *)
SendToRoom 259  24 (* Move test eight to Nothing *)
Destroy 247 (* Move wooden clothpin to room Zero *)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND PIN CLOTHPIN ON CLOTHLINE
NOT Present 247 (* Player is NOT carrying wooden clothpin *)
Present 246 (* clothsline is present *)
PrintMessage 199 (* ? You don't have that.  *)
DoneWithTurn
END_COMMAND

COMMAND PIN CLOTHPIN ON CLOTHLINE
NOT Present 246 (* OBJECT is NOT present *)
PrintMessage 3 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND PIN CLOTHPIN ON NOSE
IsCarrying 247 (* Player is carrying wooden clothpin *)
IsLocated 260  24 (* test nine is in Nothing *)
PrintMessage 194 (* The clothpin is now firmly pinned to your nose, success *)
Destroy 260 (* Move test nine to room Zero *)
DoneWithTurn
END_COMMAND

COMMAND PIN CLOTHPIN ON NOSE
IsCarrying 247 (* Player is carrying wooden clothpin *)
IsLocated 260  0 (* test nine is in NOWHERE *)
PrintMessage 195 (* It IS pinned to your nose.  *)
DoneWithTurn
END_COMMAND

COMMAND PIN CLOTHPIN ON NOSE
NOT IsCarrying 247 (* Player is NOT carrying wooden clothpin *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND PIN NOSE
ReDirectTo PIN CLOTHPIN ON NOSE
END_COMMAND

COMMAND PIN ANY
Present 247 (* Player is carrying wooden clothpin *)
PrintMessage 230 (* You can't pin that.  *)
DoneWithTurn
END_COMMAND

COMMAND PIN ANY
PrintMessage 199 (* ? You don't have that.  *)
DoneWithTurn
END_COMMAND

(* REM -- UNPIN *)

COMMAND UNPIN ANY
AtLocation 27 (* Player is in Royal Laundry Room *)
IsLocated 259  24 (* test eight is in Nothing *)
GetNOUN (* Get it *)
Destroy 259 (* Move test eight to room Zero *)
PrintMessage 45 (* Taken.  *)
PrintMessage 227 (* A Squynchian maid comes bounceswinging in, humming a mi *)
DoneWithTurn
END_COMMAND

COMMAND UNPIN ANY
AtLocation 27 (* Player is in Royal Laundry Room *)
IsLocated 259  0 (* test eight is in NOWHERE *)
PrintMessage 241 (* It IS unpinned.  *)
DoneWithTurn
END_COMMAND

COMMAND UNPIN ANY
IsLocated 260  0 (* test nine is in NOWHERE *)
SendToRoom 260  24 (* Move test nine to Nothing *)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND UNPIN ANY
NOUNPresent (* NOUN is present *)
PrintMessage 242 (* You can't unpin that! *)
DoneWithTurn
END_COMMAND

COMMAND UNPIN ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- EXAMINE *)

COMMAND EXAMINE BRIDGE
NOT NOUNPresent (* NOUN is NOT present *)
AtLocation 14 (* Player is in Front of Castle *)
OR
AtLocation 18 (* Player is in Drawbridge *)
PrintMessage 211 (* The massive drawbridge is currently down.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE BRIDGE
NOT AtLocation 14 (* Player is NOT in Front of Castle *)
NOT AtLocation 18 (* Player is NOT in Drawbridge *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE LABEL
Present 211 (* magic carpet is present *)
PrintMessage 79 (* The label reads: "To operate this carpet, just say Rise"*)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE LABEL
NOT Present 211 (* magic carpet is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE COIN
NOUNPresent (* NOUN is present *)
NOT FlagON 2 (* Flag # 2 is OFF *)
PrintMessage 141 (* There are engravings on the coin of Squoob the Squynch, *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE COIN
NOUNPresent (* NOUN is present *)
FlagON 2 (* Flag # 2 is ON *)
PrintMessage 142 (* The coin is neatly wrapped in a crumpled candy wrapper.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CARPET
NOUNPresent (* NOUN is present *)
FlagON 3 (* Flag # 3 is ON *)
PrintMessage 4 (* The carpet is woven of flaming, interwining, blue and r *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CARPET
NOUNPresent (* NOUN is present *)
NOT FlagON 3 (* Flag # 3 is OFF *)
PrintMessage 6 (* The carpet is woven of flaming, interwining, blue and r *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 151 (* The iron gates stand at the mouth of the cave.  Two iron *)
PrintMessage 152 (* The gates are currently closed and bolted with a staff  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 151 (* The iron gates stand at the mouth of the cave.  Two iron *)
PrintMessage 153 (* The gates are currently closed.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE GATES
AtLocation 4 (* Player is in Cave *)
NOT FlagON 1 (* Flag # 1 is OFF *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 154 (* The iron gates stand at the mouth of the cave.  Two iron *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CROWN
NOUNPresent (* Crown is here *)
FlagON 14 (* Flag # 14 is ON *)
PrintMessage 155 (* The tall, thin crown is made of pure diamond.  It is set *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CROWN
NOUNPresent (* Crown is here *)
NOT FlagON 14 (* Flag # 14 is OFF *)
PrintMessage 156 (* The tall, thin crown is made of pure diamond.  A gaping  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE PAIL
NOUNIsCarrying (* Player is carrying NOUN *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
FlagON 4 (* Flag # 4 is ON *)
PrintMessage 157 (* The old, wooden pail is filled to the brim with murky w *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE PAIL
NOUNPresent (* NOUN is present *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
FlagON 4 (* Flag # 4 is ON *)
PrintMessage 184 (* There is a block in the pail.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE PAIL
NOUNPresent (* NOUN is present *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
NOT FlagON 4 (* Flag # 4 is OFF *)
PrintMessage 90 (* The old, wooden pail looks like it went through a lot o *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE TRAPDOOR
NOUNPresent (* NOUN is present *)
IsNoWhere 240 (* test three is in room Zero -- NoWhere *)
PrintMessage 158 (* There is an old, rotting trapdoor at the bottom of the  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE TRAPDOOR
NOUNPresent (* NOUN is present *)
NOT IsNoWhere 240 (* test three is NOT in room Zero -- NoWhere *)
PrintMessage 89 (* There is an old, rotting trapdoor at the bottom of the  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE LUNCHBOX
NOUNPresent (* NOUN is present *)
IsNoWhere 238 (* test two is in room Zero -- NoWhere *)
PrintMessage 163 (* The small lunchbox looks the same as any other lunchbox *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE LUNCHBOX
NOUNPresent (* NOUN is present *)
NOT IsNoWhere 238 (* test two is NOT in room Zero -- NoWhere *)
PrintMessage 164 (* The small lunchbox looks the same as any other lunchbox *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CANDLE
NOUNPresent (* NOUN is present *)
IsNoWhere 237 (* test one is in room Zero -- NoWhere *)
PrintMessage 168 (* The candle is extinguished.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CANDLE
NOUNPresent (* NOUN is present *)
NOT IsNoWhere 237 (* test one is NOT in room Zero -- NoWhere *)
PrintMessage 169 (* The candle is lit.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE EMBLEM
AtLocation 16 (* Player is in Front of Crownroom *)
FlagON 10 (* Flag # 10 is ON *)
PrintMessage 176 (* The royal emblem of Squynchian Lords is imprinted atop  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE EMBLEM
AtLocation 16 (* Player is in Front of Crownroom *)
NOT FlagON 10 (* Flag # 10 is OFF *)
PrintMessage 177 (* The royal emblem of Squynchian Lords is imprinted atop  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CAGE
AtLocation 4 (* Player is in Cave *)
IsLocated 221  5 (* beast is in Cage *)
PrintMessage 187 (* The bars are made of a sturdy steel, enclosing a feroci *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CAGE
AtLocation 4 (* Player is in Cave *)
NOT IsLocated 221  5 (* beast is NOT in Cage *)
PrintMessage 188 (* The bars are made of a sturdy steel, which are currentl *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE CAGE
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE VIAL
NOUNPresent (* NOUN is present *)
IsNoWhere 256 (* test seven is in room Zero -- NoWhere *)
PrintMessage 203 (* The shiny vial is currently open.  Some lettering is ins *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE VIAL
NOUNPresent (* NOUN is present *)
NOT IsNoWhere 256 (* test seven is NOT in room Zero -- NoWhere *)
PrintMessage 204 (* The shiny vial is currently closed.  Some lettering is i *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
FlagON 10 (* Flag # 10 is ON *)
PrintMessage 214 (* It's open.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
NOT FlagON 10 (* Flag # 10 is OFF *)
PrintMessage 97 (* It's closed.  *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE DOOR
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE NOSE
PrintMessage 5 (* How gross!  I would rather not! *)
DoneWithTurn
END_COMMAND

COMMAND EXAMINE ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- CLIMB *)

COMMAND CLIMB TREE
NOT AtLocation 31 (* Player is NOT in Clearing *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND CLIMB TREE
GoToRoom 2 (* Move Player to Tree *)
PrintMessage 231 (* You climb up the tree *)
DoneWithTurn
END_COMMAND

COMMAND CLIMB ANY
NOUNPresent (* NOUN is present *)
PrintMessage 207 (* I'd rather not, thank you.  *)
DoneWithTurn
END_COMMAND

COMMAND CLIMB ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- GET *)

COMMAND GET ALL
PrintMessage 2 (* Sorry, but you must take things one at a time. *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
NOUNPresent (* NOUN is present *)
AtLocation 9 (* Player is in Well *)
IsLocated 242  24 (* test five is in Nothing *)
Destroy 242 (* Move test five to room Zero *)
PutInCurrentRoom 229 (* Move yellowed note to current room *)
PrintMessage 44 (* As you pull out the block, an aged, and yellowed note f *)
GetNoun (* Get it *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
NOUNPresent (* NOUN is present *)
AtLocation 9 (* Player is in Well *)
NOT IsLocated 242  24 (* test five is NOT in Nothing *)
GetNoun (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
NOT AtLocation 9 (* Player is NOT in Well *)
NOT FlagON 8 (* Flag # 8 is OFF -- Pail is NOT full of water *)
FlagON 4 (* Flag # 4 is ON *)
Present 231 (* wooden pail is present *)
GetNoun (* Get it *)
TurnFlagOFF 4 (* Turn Flag # 4 OFF *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
Present 231 (* wooden pail is present *)
FlagON 4 (* Flag # 4 is ON *)
FlagON 8 (* Flag # 8 is ON -- Pail is full of water *)
PrintMessage 186 (* The block is very slippery, and drops back in with a sp *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
NOUNPresent (* NOUN is present *)
NOT FlagON 4 (* Flag # 4 is OFF *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET BLOCK
NOT NOUNPresent (* NOUN is NOT present *)
NOT FlagON 4 (* Flag # 4 is OFF *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GET CARPET
AtLocation 9 (* Player is in Well *)
NOUNPresent (* NOUN is present *)
PutInCurrentRoom 227 (* Move rotting trapdoor to current room *)
GetNOUN (* Get it *)
PrintMessage 53 (* Upon removing the carpet a trapdoor is revealed!.......  *)
DoneWithTurn
END_COMMAND

COMMAND GET CARPET
NOT AtLocation 9 (* Player is NOT in Well *)
NOUNPresent (* NOUN is present *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET CARPET
AtLocation 11 (* Player is in Boulder room *)
FlagON 9 (* Flag # 9 is ON *)
GetNOUN (* Get it *)
TurnFlagOFF 9 (* Turn Flag # 9 OFF *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET ON SCALE
AtLocation 16 (* Player is in Front of Crownroom *)
GoToRoom 19 (* Move Player to On the scale *)
DoneWithTurn
END_COMMAND

COMMAND GET OFF SCALE
AtLocation 19 (* Player is On the Scale *)
GoToRoom 16 (* Move Player to Front of Crownroom *)
DoneWithTurn
END_COMMAND

COMMAND GET ON SCALE
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GET DOORMAT
AtLocation 6 (* Player is in Squynchian home *)
NOUNPresent (* NOUN is present *)
NOT FlagON 5 (* Flag # 5 is OFF *)
PrintMessage 27 (* Removing the doormat reveals a rusty key engulfed in th *)
PutInCurrentRoom 205 (* Move rusty key to current room *)
GetNOUN (* Get it *)
TurnFlagON 5 (* Turn Flag # 5 ON *)
DoneWithTurn
END_COMMAND

COMMAND GET DOORMAT
AtLocation 6 (* Player is in Squynchian home *)
NOUNPresent (* NOUN is present *)
FlagON 5 (* Flag # 5 is ON *)
PrintMessage 45 (* Taken.  *)
GetNOUN (* Get it *)
DoneWithTurn
END_COMMAND

COMMAND GET COIN
NOUNPresent (* NOUN is present *)
FlagON 2 (* Flag # 2 is ON *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET COIN
NOUNPresent (* NOUN is present *)
NOT FlagON 2 (* Flag # 2 is OFF *)
PrintMessage 34 (* Eyes shining and mouth slavoring you pick up the gold c *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
AtLocation 4 (* Player is in Cave *)
FlagON 12 (* Flag # 12 is ON *)
NOT FlagON 13 (* Flag # 13 is OFF *)
IsLocated 221  5 (* beast is in Cage *)
PrintMessage 112 (* Suddenly, as you reach for the Ruby, the gates of the c *)
PutInCurrentRoom 221 (* Move beast to current room *)
TurnFlagON 13 (* Turn Flag # 13 ON *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
AtLocation 4 (* Player is in Cave *)
FlagON 12 (* Flag # 12 is ON *)
FlagON 11 (* Flag # 11 is ON *)
FlagON 13 (* Flag # 13 is ON *)
PrintMessage 113 (* The beast slinks toward you, eyes gleaming with hunger.  *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
AtLocation 4 (* Player is in Cave *)
FlagON 12 (* Flag # 12 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
NOT FlagON 13 (* Flag # 13 is OFF *)
PrintMessage 7 (* Two ogres appear in the doorway, eyes wild with hate."T *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
AtLocation 4 (* Player is in Cave *)
NOT FlagON 12 (* Flag # 12 is OFF *)
NOT FlagON 13 (* Flag # 13 is OFF *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 114 (* Impossible, the glass completely covers it! *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GET RUBY
AtLocation 4 (* Player is in Cave *)
FlagON 12 (* Flag # 12 is ON *)
FlagON 11 (* Flag # 11 is ON *)
IsNoWhere 221 (* beast is in room Zero -- NoWhere *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
PlusScore 100 (* Add 100 to score *)
DoneWithTurn
END_COMMAND

COMMAND GET VIAL
AtLocation 23 (* Player is in On Top of Cove *)
NOT IsLocated 260  0 (* test nine is NOT in NOWHERE *)
PrintMessage 197 (* The ghastly, lurid smell becomes so abhorently unbearab *)
GoToRoom 22 (* Move Player to Front of Moat *)
DoneWithTurn
END_COMMAND

COMMAND GET VIAL
AtLocation 23 (* Player is in On Top of Cove *)
NOT NOUNIsCarrying (* Player is NOT carrying NOUN *)
IsLocated 260  0 (* test nine is in NOWHERE *)
GetNOUN (* Get it *)
PrintMessage 243 (* The clothpin just barely keeps out the lurid odor, as y *)
PlusScore 15 (* Add 15 points to score *)
DoneWithTurn
END_COMMAND

COMMAND GET GOLD
AtLocation 13 (* Player is in Gloom *)
NOT NOUNPresent (* NOUN is NOT present *)
IsLocated 261  24 (* test ten is in Nothing *)
Destroy 261 (* Move test ten to room Zero *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET GOLD
NOUNPresent (* NOUN is present *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

COMMAND GET CLOTHPIN
AtLocation 27 (* Player is in Royal Laundry Room *)
NOT NOUNPresent (* NOUN is NOT present *)
IsLocated 259  24 (* test eight is in Nothing *)
GetNOUN (* Get it *)
Destroy 259 (* Move test eight to room Zero *)
PrintMessage 45 (* Taken.  *)
PrintMessage 227 (* A Squynchian maid comes bounceswinging in, humming a mi *)
DoneWithTurn
END_COMMAND

COMMAND GET CLOTHPIN
NOUNPresent (* NOUN is present *)
NOT NOUNIsCarrying (* Player is NOT carrying NOUN *)
GetNOUN (* Get it *)
PrintMessage 45 (* Taken.  *)
DoneWithTurn
END_COMMAND

(* REM -- PUT *)

COMMAND PUT CANDLE
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 9 (* Player is in Well *)
IsLocated 237  24 (* test one is in Nothing *)
PutInCurrentRoom 207 (* Move wax candle to current room *)
Destroy 237 (* Move test one to room Zero *)
PrintMessage 48 (* The candle sputters twice, and extinguishes.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT CANDLE
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 9 (* Player is in Well *)
NOT IsLocated 237  24 (* test one is NOT in Nothing *)
PutInCurrentRoom 207 (* Move wax candle to current room *)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT CANDLE
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 9 (* Player is NOT in Well *)
PrintMessage 10 (* You find no good surface to put it on.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT PIPE
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 9 (* Player is in Well *)
InRoom 212 (* ice is in current Room *)
FlagON 7 (* Flag # 7 is ON -- Pipe is Lit *)
PutNOUNInCurrentRoom (* Move NOUN to Current Room *)
PutInCurrentRoom 211 (* Move magic carpet to current room *)
Destroy 212 (* Move ice to room Zero *)
Destroy 222 (* Move object to room Zero *)
PrintMessage 50 (* The ice starts sizzling, fizzling, and rapidly evaporat *)
PlusScore 30 (* Add 30 to score *)
DoneWithTurn
END_COMMAND

COMMAND PUT PIPE
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 9 (* Player is in Well *)
InRoom 212 (* ice is in current Room *)
NOT FlagON 7 (* Flag # 7 is OFF -- Pipe is NOT Lit *)
SendNOUNToRoom 9 (* Move NOUN to Well *)
PrintMessage 60 (* Done. *)
DoneWithTurn
END_COMMAND

COMMAND PUT BLOCK
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
NOUNIsCarrying (* Player is carrying NOUN *)
Present 231 (* wooden pail is present *)
NOT FlagON 4 (* Flag # 4 is OFF *)
DestroyNOUN (* Move NOUN to Room Zero*)
TurnFlagON 4 (* Turn Flag # 4 ON *)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT BLOCK
NOUNIsCarrying (* Player is carrying NOUN *)
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
Present 231 (* wooden pail is present *)
FlagON 4 (* Flag # 4 is ON *)
PrintMessage 69 (* It IS in the pail already.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT BLOCK
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
NOUNIsCarrying (* Player is carrying NOUN *)
NOT Present 231 (* wooden pail is NOT present *)
PutNOUNInCurrentRoom (* Move NOUN to Current Room *)
PrintMessage 122 (* In WHAT!?? *)
DoneWithTurn
END_COMMAND

COMMAND PUT BLOCK
AtLocation 16 (* Player is in Front of Crownroom *)
NOUNIsCarrying (* Player is carrying NOUN *)
FlagON 4 (* Flag # 4 is ON *)
PrintMessage 185 (* The block is in the pail! *)
DoneWithTurn
END_COMMAND

COMMAND PUT BLOCK
AtLocation 16 (* Player is in Front of Crownroom *)
NOUNIsCarrying (* Player is carrying NOUN *)
NOT FlagON 4 (* Flag # 4 is OFF *)
SendNOUNToRoom 19 (* Move NOUN to On the scale *)
PrintMessage 183 (* Fine.  It now rests on the scale.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT CARPET
NOUNIsCarrying (* Player is carrying NOUN *)
AtLocation 11 (* Player is in Boulder room *)
NOT FlagON 9 (* Flag # 9 is OFF *)
PrintMessage 60 (* Done.  *)
TurnFlagON 9 (* Turn Flag # 9 ON *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND PUT CARPET
NOT AtLocation 11 (* Player is NOT in Boulder room *)
PutNOUNInCurrentRoom (* Move NOUN to Current Room *)
PrintMessage 60 (* Done.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT RUBY
NOUNIsCarrying (* Player is carrying NOUN *)
IsCarrying 201 (* Player is carrying Squeeb's crown *)
FlagON 11 (* Flag # 11 is ON *)
SendNOUNToItem 201 (* Move NOUN to location of Squeeb's crown *)
PrintMessage 118 (* The ogre's, suddenly awoken from their stupor, sound th *)
TurnFlagON 14 (* Turn Flag # 14 ON *)
DoneWithTurn
END_COMMAND

COMMAND PUT RUBY
NOUNIsCarrying (* Player is carrying NOUN *)
IsCarrying 201 (* Player is carrying Squeeb's crown *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 119 (* The ogre's, suddenly awoken from their stupor, sound al *)
PrintMessage 7 (* Two ogres appear in the doorway, eyes wild with hate."T *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND PUT RUBY
NOUNIsCarrying (* Player is carrying NOUN *)
FlagON 11 (* Flag # 11 is ON *)
NOT IsCarrying 201 (* Player is NOT carrying Squeeb's crown *)
PrintMessage 120 (* You don't have the crown.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT STAFF
NOUNPresent (* NOUN is present *)
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 11 (* The staff now bolts the door.  *)
TurnFlagON 11 (* Turn Flag # 11 ON *)
DestroyNOUN (* Move NOUN to Room Zero*)
DoneWithTurn
END_COMMAND

COMMAND PUT STAFF
NOUNPresent (* NOUN is present *)
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 105 (* It IS bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT STAFF
AtLocation 4 (* Player is in Cave *)
NOUNPresent (* NOUN is present *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 106 (* A task quite impossible if the gates are open! *)
DoneWithTurn
END_COMMAND

COMMAND PUT STAFF
NOUNPresent (* NOUN is present *)
NOT AtLocation 4 (* Player is NOT in Cave *)
AtLocation 16 (* Player is in Front of Crownroom *)
SendNOUNToRoom 19 (* Move NOUN to On the scale *)
PrintMessage 183 (* Fine.  It now rests on the scale.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT STAFF
NOT AtLocation 4 (* Player is NOT in Cave *)
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 10 (* You find no good surface to put it on.  *)
DoneWithTurn
END_COMMAND

COMMAND PUT ANY
AtLocation 16 (* Player is in Front of Crownroom *)
NOUNPresent (* NOUN is present *)
PrintMessage 183 (* Fine.  It now rests on the scale.  *)
SendNOUNToRoom 19 (* Move NOUN to On the scale *)
DoneWithTurn
END_COMMAND

(* REM -- GO *)

COMMAND GO TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
IsNoWhere 240 (* test three is in room Zero -- NoWhere *)
GoToRoom 10 (* Move Player to Small room *)
DoneWithTurn
END_COMMAND

COMMAND GO TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
NOT IsNoWhere 240 (* test three is NOT in room Zero -- NoWhere *)
PrintMessage 97 (* It's closed.  *)
DoneWithTurn
END_COMMAND

COMMAND GO TRAPDOOR
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO BRIDGE
AtLocation 14 (* Player is in Front of Castle *)
NOT InRoom 225 (* orc is NOT in current Room *)
GoToRoom 18 (* Move Player to Drawbridge *)
DoneWithTurn
END_COMMAND

COMMAND GO BRIDGE
AtLocation 14 (* Player is in Front of Castle *)
InRoom 225 (* orc is in current Room *)
PrintMessage 64 (* The orc draws itself up to its full height and bars you *)
PrintMessage 95 (* shoving you.  *)
DoneWithTurn
END_COMMAND

COMMAND GO BRIDGE
NOT AtLocation 14 (* Player is NOT in Front of Castle *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO SCALE
AtLocation 16 (* Player is in Front of Crownroom *)
GoToRoom 19 (* Move Player to On the scale *)
DoneWithTurn
END_COMMAND

COMMAND GO SCALE
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO COVE
AtLocation 11 (* Player is in Boulder room *)
NOT InRoom 219 (* boulder is NOT in current Room *)
GoToRoom 12 (* Move Player to Pirate cove *)
DoneWithTurn
END_COMMAND

COMMAND GO COVE
InRoom 219 (* boulder is in current Room *)
PrintMessage 33 (* Ramming your head violently against the boulder, has no *)
DoneWithTurn
END_COMMAND

COMMAND GO COVE
NOT AtLocation 11 (* Player is NOT in Boulder room *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
FlagON 10 (* Flag # 10 is ON *)
GoToRoom 17 (* Move Player to Crown room *)
DoneWithTurn
END_COMMAND

COMMAND GO DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
NOT FlagON 10 (* Flag # 10 is OFF *)
PrintMessage 182 (* It's closed.  The emblem atop the door flashes red in wa *)
DoneWithTurn
END_COMMAND

COMMAND GO DOOR
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO GATES
AtLocation 4 (* Player is in Cave *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 7 (* Two ogres appear in the doorway, eyes wild with hate."T *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND GO GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 97 (* It's closed.  *)
DoneWithTurn
END_COMMAND

COMMAND GO GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 98 (* It's bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND GO GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO CAGE
AtLocation 4 (* Player is in Cave *)
IsLocated 221  5 (* beast is in Cage *)
PrintMessage 147 (* Besides the fact, that there isn't any way in, I wouldn *)
DoneWithTurn
END_COMMAND

COMMAND GO CAGE
AtLocation 4 (* Player is in Cave *)
NOT IsLocated 221  5 (* beast is NOT in Cage *)
InRoom 221 (* beast is in current Room *)
PrintMessage 113 (* The beast slinks toward you, eyes gleaming with hunger.  *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND GO CAGE
AtLocation 4 (* Player is in Cave *)
IsNoWhere 221 (* beast is in room Zero -- NoWhere *)
GoToRoom 5 (* Move Player to Cage *)
DoneWithTurn
END_COMMAND

COMMAND GO CAGE
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND GO NORTH
ReDirectTo NORTH
END_COMMAND

COMMAND GO NORTHWEST
ReDirectTo NORTHWEST
END_COMMAND

COMMAND GO NORTHEAST
ReDirectTo NORTHEAST
END_COMMAND

COMMAND GO SOUTH
ReDirectTo SOUTH
END_COMMAND

COMMAND GO SOUTHWEST
ReDirectTo SOUTHWEST
END_COMMAND

COMMAND GO SOUTHEAST
ReDirectTo SOUTHEAST
END_COMMAND

COMMAND GO WEST
ReDirectTo WEST
END_COMMAND

COMMAND GO EAST
ReDirectTo EAST
END_COMMAND

COMMAND GO UP
ReDirectTo UP
END_COMMAND

COMMAND GO DOWN
ReDirectTo DOWN
END_COMMAND

(* REM -- DOWN *)

COMMAND DOWN
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
IsNoWhere 240 (* test three is in room Zero -- NoWhere *)
GoToRoom 10 (* Move Player to Small room *)
DoneWithTurn
END_COMMAND

(* REM -- NORTH *)

COMMAND NORTH
InRoom 219 (* boulder is in current Room *)
PrintMessage 33 (* Ramming your head violently against the boulder, has no *)
DoneWithTurn
END_COMMAND

COMMAND NORTH
AtLocation 11 (* Player is in Boulder room *)
NOT InRoom 219 (* boulder is NOT in current Room *)
GoToRoom 12 (* Move Player to Pirate cove *)
DoneWithTurn
END_COMMAND

(* REM -- EAST *)

COMMAND EAST
AtLocation 14 (* Player is in Front of Castle *)
NOT InRoom 225 (* orc is NOT in current Room *)
GoToRoom 18 (* Move Player to Drawbridge *)
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 14 (* Player is in Front of Castle *)
InRoom 225 (* orc is in current Room *)
PrintMessage 64 (* The orc draws itself up to its full height and bars you *)
PrintMessage 95 (* shoving you.  *)
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 16 (* Player is in Front of Crownroom *)
FlagON 10 (* Flag # 10 is ON *)
GoToRoom 17 (* Move Player to Crown room *)
DoneWithTurn
END_COMMAND

COMMAND EAST
AtLocation 16 (* Player is in Front of Crownroom *)
NOT FlagON 10 (* Flag # 10 is OFF *)
PrintMessage 182 (* It's closed.  The emblem atop the door flashes red in wa *)
DoneWithTurn
END_COMMAND

(* REM -- WEST *)

COMMAND WEST
AtLocation 4 (* Player is in Cave *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 7 (* Two ogres appear in the doorway, eyes wild with hate."T *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND WEST
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 97 (* It's closed.  *)
DoneWithTurn
END_COMMAND

COMMAND WEST
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 98 (* It's bolted.  *)
DoneWithTurn
END_COMMAND

(* REM -- ENTER *)

COMMAND ENTER TRAPDOOR
RedirectTo GO TRAPDOOR
END_COMMAND

COMMAND ENTER CAGE
ReDirectTo GO CAGE
END_COMMAND

COMMAND ENTER GATES
ReDirectTo GO GATES
END_COMMAND

COMMAND ENTER DOOR
ReDirectTo GO DOOR
END_COMMAND

COMMAND ENTER COVE
ReDirectTo GO COVE
END_COMMAND

(* REM -- EXIT *)

COMMAND EXIT ANY
AtLocation 9 (* Player is in Well *)
NOT IsNoWhere 240 (* test three is NOT in room Zero -- NoWhere *)
GoToRoom 8 (* Move Player to Front of well *)
DoneWithTurn
END_COMMAND

(* REM -- OPEN *)

COMMAND OPEN TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
IsLocated 240  24 (* test three is in Nothing *)
Destroy 240 (* Move test three to room Zero *)
PrintMessage 149 (* Opened.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
IsNoWhere 240 (* test three is in room Zero -- NoWhere *)
PrintMessage 103 (* It IS open.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN VIAL
NOUNIsCarrying (* Player is carrying NOUN *)
IsLocated 256  24 (* test seven is in Nothing *)
Destroy 256 (* Move test seven to room Zero *)
PrintMessage 198 (* You open the vial, expectant, hopeful, only to notice i *)
DoneWithTurn
END_COMMAND

COMMAND OPEN VIAL
NOUNIsCarrying (* Player is carrying NOUN *)
NOT IsLocated 256  24 (* test seven is NOT in Nothing *)
PrintMessage 103 (* It IS open.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
NOT FlagON 10 (* Flag # 10 is OFF *)
PrintMessage 191 (* You can't seem to make it budge.  Perhaps it's jammed.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN DOOR
AtLocation 16 (* Player is in Front of Crownroom *)
FlagON 10 (* Flag # 10 is ON *)
PrintMessage 103 (* It IS open.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN DOOR
NOT AtLocation 16 (* Player is NOT in Front of Crownroom *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND OPEN CASE
AtLocation 4 (* Player is in Cave *)
PrintMessage 143 (* The glass case is completely sealed from all four sides *)
DoneWithTurn
END_COMMAND

COMMAND OPEN GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
NOT FlagON 11 (* Flag # 11 is OFF *)
PrintMessage 7 (* Two ogres appear in the doorway, eyes wild with hate."T *)
KillPlayer (* You die! *)
DoneWithTurn
END_COMMAND

COMMAND OPEN GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
FlagON 11 (* Flag # 11 is ON *)
PrintMessage 98 (* It's bolted.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN GATES
AtLocation 4 (* Player is in Cave *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 103 (* It IS open.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND OPEN LUNCHBOX
NOUNPresent (* NOUN is present *)
NOT IsNoWhere 238 (* test two is NOT in room Zero -- NoWhere *)
PrintMessage 165 (* It's locked.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN LUNCHBOX
NOUNPresent (* NOUN is present *)
IsNoWhere 238 (* test two is in room Zero -- NoWhere *)
PrintMessage 103 (* It IS open.  *)
DoneWithTurn
END_COMMAND

COMMAND OPEN ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- CLOSE *)

COMMAND CLOSE VIAL
NOUNIsCarrying (* Player is carrying NOUN *)
IsNoWhere 256 (* test seven is in room Zero -- NoWhere *)
SendToRoom 256  24 (* Move test seven to Nothing *)
PrintMessage 150 (* Closed.  *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE VIAL
NOUNIsCarrying (* Player is carrying NOUN *)
NOT IsNoWhere 256 (* test seven is NOT in room Zero -- NoWhere *)
PrintMessage 102 (* It IS closed.  *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE CAGE
AtLocation 4 (* Player is in Cave *)
PrintMessage 190 (* You don't have the strength.  Especially in the height o *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE CAGE
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE GATES
AtLocation 4 (* Player is in Cave *)
NOT FlagON 1 (* Flag # 1 is OFF *)
PrintMessage 101 (* It is now closed.  *)
TurnFlagON 1 (* Turn Flag # 1 ON *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE GATES
AtLocation 4 (* Player is in Cave *)
FlagON 1 (* Flag # 1 is ON *)
PrintMessage 102 (* It IS closed.  *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE GATES
NOT AtLocation 4 (* Player is NOT in Cave *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
IsNoWhere 240 (* test three is in room Zero -- NoWhere *)
SendToRoom 240  24 (* Move test three to Nothing *)
PrintMessage 150 (* Closed.  *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE TRAPDOOR
AtLocation 9 (* Player is in Well *)
NOUNInRoom (* NOUN is in current room *)
NOT IsNoWhere 240 (* test three is NOT in room Zero -- NoWhere *)
PrintMessage 102 (* It IS closed.  *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE TRAPDOOR
NOT NOUNInRoom (* NOUN is NOT in current room *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

COMMAND CLOSE ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 199 (* ? You don't have that.  *)
DoneWithTurn
END_COMMAND

(* REM -- LOCK *)

COMMAND LOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
IsCarrying 205 (* Player is carrying rusty key *)
IsNoWhere 238 (* test two is in room Zero -- NoWhere *)
SendToRoom 238  24 (* Move test two to Nothing *)
PrintMessage 84 (* The lunchbox is now locked.  *)
DoneWithTurn
END_COMMAND

COMMAND LOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
IsCarrying 205 (* Player is carrying rusty key *)
NOT IsNoWhere 238 (* test two is NOT in room Zero -- NoWhere *)
PrintMessage 83 (* It IS unlocked.  *)
DoneWithTurn
END_COMMAND

COMMAND LOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
NOT IsCarrying 205 (* Player is NOT carrying rusty key *)
PrintMessage 82 (* You don't have the key.  *)
DoneWithTurn
END_COMMAND

COMMAND LOCK ANY
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- UNLOCK *)

COMMAND UNLOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
IsCarrying 205 (* Player is carrying rusty key *)
IsLocated 238  24 (* test two is in Nothing *)
Destroy 238 (* Move test two to room Zero *)
PutInCurrentRoom 223 (* Move dried meat to current room *)
PrintMessage 80 (* You unlock the lunchbox, and the lid flips open to reve *)
DoneWithTurn
END_COMMAND

COMMAND UNLOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
IsCarrying 205 (* Player is carrying rusty key *)
NOT IsLocated 238  24 (* test two is NOT in Nothing *)
PrintMessage 83 (* It IS unlocked.  *)
DoneWithTurn
END_COMMAND

COMMAND UNLOCK LUNCHBOX
NOUNPresent (* NOUN is present *)
NOT IsCarrying 205 (* Player is NOT carrying rusty key *)
PrintMessage 82 (* You don't have the key.  *)
DoneWithTurn
END_COMMAND

COMMAND UNLOCK LUNCHBOX
NOT NOUNPresent (* NOUN is NOT present *)
PrintMessage 1 (* ? Now where do you see any of that?? *)
DoneWithTurn
END_COMMAND

(* REM -- DEBUG *)

COMMAND DEBUG ANY
ToggleFlag 0 (* Toggle Debug Flag *)
DoneWithTurn
END_COMMAND

